--- title: "Updates a specified class" slug: "updates-a-specified-class-1" updated: 2025-08-07T14:39:28Z published: 2025-08-07T14:41:42Z canonical: "docs.skillable.com/updates-a-specified-class-1" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.skillable.com/llms.txt > Use this file to discover all available pages before exploring further. # Updates a specified class Get/updateclass The **UpdateClass** command updates a specified class. SecurityAPI Key: api_keyHeader parameter nameapi_key All methods require an API key, which must be obtained from Skillable. This key is used by Skillable to validate your account. The key can be passed as an HTTP request header with the header name "api_key". Query parametersidstringRequired The unique identifier of the class, as represented in your organization. Example1223334444 namestringRequired The name of the class. ExampleSample+Class startinteger (int64) Required When the class starts (in Unix epoch time). Example1333267200 endinteger (int64) Required When the class ends (in Unix epoch time). Example1333299600 expiresinteger (int64) Required When labs can no longer be associated with the class (in Unix epoch time). Example1335978000 instructorIdstring The unique identifier of the class instructor, as represented in your organization. ExampleABC123 instructorFirstNamestring The first name of the class instructor. ExampleDemo instructorLastNamestring The last name of the class instructor. ExampleInstructor maxActiveLabInstancesinteger (int32) The maximum number of active lab instances than can exist concurrently within this class context. This is optional in most situations. However, it is required for classes that host shared environments. If a shared lab is launched against a class that doesn't have this value set, the launch will fail. Example20 AvailableLabsarray of integer An optional array of lab profile IDs. When provided, Skillable will know that these labs are available within the class. You do not need to set this value in order to launch labs against the class. This is useful when using Skillable to display a class attendance page, or when consuming shared class environments and you want the shared environment launch link to appear on the class monitor page. Example[ 17390, 16980 ] Responses200 OK Response. Example of response after successfully updating information for a specified class ```json { "Success": true, "Status": 1, "Error": null } ``` object Successboolean Statusinteger (int32) Indicates the status of the API request. 0 = Error 1 = Success Errorstring | null In the event of an error, this will contain a detailed error message.